## net.i2p.router.transport
Class TransportManager

    java.lang.Object
      net.i2p.router.transport.TransportManager

All Implemented Interfaces:
  TransportEventListener

    public class TransportManager

extends java.lang.Object
implements TransportEventListener

Field Summary
`(package private) static boolean` `ALLOW_TCP`

Constructor Summary
`TransportManager(RouterContext context)`

Method Summary
`void` `addTransport(Transport transport)`
`int` `countActivePeers()`
`int` `countActiveSendPeers()`
`(package private) static boolean` `enableNTCP(RouterContext ctx)`
`(package private) java.util.Map` `getAddresses()`
`TransportBid` `getBid(OutNetMessage msg)`
`java.util.List` `getBids(OutNetMessage msg)`
`java.util.Vector` `getClockSkews()` Return our peer clock skews on all transports.
`java.util.List` `getMostRecentErrorMessages()`
`TransportBid` `getNextBid(OutNetMessage msg)`
`Transport` `getNTCPTransport()`
`short` `getReachabilityStatus()`
`(package private) int` `getTransportCount()`
`boolean` `isBacklogged(Hash dest)`
`void` `messageReceived(I2NPMessage message, RouterIdentity fromRouter, Hash fromRouterHash)`
`void` `recheckReachability()`
`void` `removeTransport(Transport transport)`
`void` `renderStatusHTML(java.io.Writer out, java.lang.String urlBase, int sortFlags)`
`void` `restart()`
`void` `startListening()`
`void` `stopListening()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALLOW_TCP

    static final boolean ALLOW_TCP

See Also:
  Constant Field Values

Constructor Detail

### TransportManager

    public TransportManager(RouterContext context)

Method Detail

### addTransport

    public void addTransport(Transport transport)

### removeTransport

    public void removeTransport(Transport transport)

### enableNTCP

    static boolean enableNTCP(RouterContext ctx)

### startListening

    public void startListening()

### restart

    public void restart()

### stopListening

    public void stopListening()

### getNTCPTransport

    public Transport getNTCPTransport()

### getTransportCount

    int getTransportCount()

### countActivePeers

    public int countActivePeers()

### countActiveSendPeers

    public int countActiveSendPeers()

### getClockSkews

    public java.util.Vector getClockSkews()

  Return our peer clock skews on all transports. Vector composed of Long, each element representing a peer skew in seconds. Note: this method returns them in whimsical order.

### getReachabilityStatus

    public short getReachabilityStatus()

### recheckReachability

    public void recheckReachability()

### isBacklogged

    public boolean isBacklogged(Hash dest)

### getAddresses

    java.util.Map getAddresses()

### getBid

    public TransportBid getBid(OutNetMessage msg)

### getBids

    public java.util.List getBids(OutNetMessage msg)

### getNextBid

    public TransportBid getNextBid(OutNetMessage msg)

### messageReceived

    public void messageReceived(I2NPMessage message,
                                RouterIdentity fromRouter,
                                Hash fromRouterHash)

  Specified by:
    `messageReceived` in interface `TransportEventListener`

### getMostRecentErrorMessages

    public java.util.List getMostRecentErrorMessages()

### renderStatusHTML

    public void renderStatusHTML(java.io.Writer out,
                                 java.lang.String urlBase,
                                 int sortFlags)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`